# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=5

inherit git-r3 qmake-utils eutils multilib

DESCRIPTION="Video metadata scraper"
#SRC_URI="http://www.kvibes.de/releases/${PN}/${PV}/${P}.tar.gz"
EGIT_REPO_URI="https://github.com/Komet/MediaElch.git"
EGIT_COMMIT="54d63e1b9964771582c5e7737d7a2576f451bccc"
HOMEPAGE="http://www.mediaelch.de/"

SLOT="0"
LICENSE="GPL-3"
KEYWORDS="~amd64 ~x86"

DEPEND="dev-qt/qtsql:5
		dev-qt/qtscript:5
		dev-qt/qtquickcontrols:5
		dev-qt/qtxmlpatterns:5
		dev-qt/qtcore:5
		dev-qt/qtgui:5
		media-video/mediainfo
		media-libs/libzen
		media-libs/phonon
		dev-libs/quazip
		dev-qt/qtconcurrent:5
		dev-qt/qtmultimedia:5[widgets]
		dev-qt/qtscript:5"

src_configure()
{
	cd "${WORKDIR}/${P}" || die
	eqmake5 || die
}

src_install()
{
	cd "${WORKDIR}/${P}" || die
	INSTALL_ROOT=${D} einstall || die
}
